Subject: Re: I-D ACTION:draft-deacon-xkms-aia-00.txt [SCVP-AIA]

From: Peter Sylvester <[email-masked]>
Date: Thu, 11 Sep 2003 12:46:54 +0200 (MEST)

> 
> Peter,
> 
> I think that the SubjectKeyIdentifier field might be the choice.

Well, at least you my try this one since the other one is not
possible :-) And then .. even that part is only defined
in terms of content of a certificate. 

> I anticipate that this will cause another round of debate on
> whether the PKIX WG should define an standard way for
> generating an unique key identifier, but I believe that at
> least SCVP should define one if it is going to support "a SCVP
> server without a certficate".

Well, I can understand the need to support the most simple
type of validation for such services.

Anyway, the question is related to "waht does the client do with
the response." Will it be consumed immediately, not logged,
not shown to another RP, or what. In this case, all kinds
of local authentictaion methods are useful. That's why I think
the actual text is not optimal because IMHO it doesn't cleary 
separate the payload from security envelope issues. 

> Well, I think I should further elaborate why the SCVP should
> allow a SCVP client to directly trust the public-key of a SCVP
> server without a certificate. I believe that a SCVP service is especially
> usefull for a dumb RP. (By a dumb RP, I mean a RP which
> is not capable of doing the complex job of certification path
> processing by itself) The question is: if a SCVP server include its own
> certificate within a SCVP Response as required by the current SCVP ID,

Dumb is what: Although I can see a mode of processing where the
client code that talks SCVP is not the one that uses the certificate
to be validated but I am not sure that the SCVP client cannot code
decode ASN1, at least the current spec is much more difficult to
handle than parsing an X509 cert. 

> how does the dumb RP validate the SCVP server certificate before it using
> the certificate to validate the SCVP response? Shouldn't the RP
> build a certificate chain from its trust anchor to the SCVP server
> certificate first and then validate the certificate chain in according
> with the validation policy or constraints? However, please remember
> that it is a dumb RP and it is not capable of doing the complex path
> processing job by itself. If it can do that job by itself, then it is not
> a dumb RP anymore; and if it is not a dumb RP, it is not necessary
> to delegate the path processing job to a SCVP Server. Thus if a dumb
> RP is required to validate the SCVP Server certificate, it will be a
> chicken-and-egg problem. Therefore, I believe it will be more
> practical if the SCVP allows a SCVP client to directly trust the public-key
> of a SCVP server without a certificate.

There is a difference between path validation of a target cert
and a path validation of a server cert.  For a locally trusted
server, the dumb client may for example just have the public key
of the root and its identity, and then can rather easily validate
a server cert presented. Or it has a self signed server cert,

---

From: "Wen-Cheng Wang" <[email-masked]>
Date: Fri, 12 Sep 2003 20:00:19 +0800

Hi, Peter,

Since the discussion is not directly related to SCVP-AIA, I
think it is better to create another thread in the mailing list to
discuss them. The topic of the new thread is "How a SCVP
client authenticates the SCVP server?", please give your
comments there.

Best Regards,
Wen-Cheng